name: Deploy Static Site to Cloudflare Pages
on:
  push:
    branches:
      - deploy # 배포 기준이 되는 브랜치 이름 (master를 쓰신다면 master로 변경)

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: 저장소 체크아웃
        uses: actions/checkout@v3

      # npx(wrangler)를 실행하기 위해 Node.js 환경만 가볍게 세팅합니다.
      - name: Node.js 세팅
        uses: actions/setup-node@v3
        with:
          node-version: 20

      - name: Cloudflare Pages 배포
        env:
          CLOUDFLARE_API_TOKEN: rka9QVA_-_NXxkXfZmx4Rh93vwaYU6wfoQA6r0TY
          CLOUDFLARE_ACCOUNT_ID: a158eefc10ac767335d6151c3c85d4a7
        run: npx wrangler@latest pages deploy . --project-name=anakomi --commit-dirty=true
